## circuits 1.2

=== Makefile ===
.PHONY: all clean checks tests docs

all: clean checks tests docs

clean:
	@rm -rf build dist circuits.egg-info
	@find . -name '*.pyc' -delete
	@find . -name '*.pyo' -delete
	@find . -name '*~' -delete

checks:
	@find . -name "*.py" -exec pyflakes {} +

docs:
	@rm -rf docs/html/
	@epydoc -v -n circuits -o docs/html/ \
		-u http://trac.softcircuit.com.au/circuits/ \
		--check --html --src-code-tab-width=4 --no-frames \
		--no-private --exclude=circuits.web._httpauth \
		--exclude=.*\.tests.* \
		--exclude=circuits\.__version__ \
		--exclude=circuits\.version \
		--no-sourcecode circuits

tests:
	@nosetests \
		--with-coverage \
		--cover-package=circuits \
		--cover-erase \
		--cover-inclusive \
		--with-doctest

=== docs/graphs/Makefile ===
.PHONY: all graphs

all: graphs

graphs:
	@sfood ../../circuits -I tests -I lib/web/tests -d -u 2> /dev/null | sfood-graph | dot -Tps | ps2pdf - > all.pdf
	@sfood ../../circuits -i -I tests -I lib -d -u 2> /dev/null | sfood-graph | dot -Tps | ps2pdf - > circuits.pdf
	@sfood ../../circuits/lib/drivers/ -i -d -u 2> /dev/null | sfood-graph | dot -Tps | ps2pdf - > drivers.pdf
	@sfood ../../circuits/lib/ -i -I drivers -I web -d -u 2> /dev/null | sfood-graph | dot -Tps | ps2pdf - > lib.pdf
	@sfood ../../circuits/lib/web/ -i -I tests -d -u 2> /dev/null | sfood-graph | dot -Tps | ps2pdf - > web.pdf

## circuits 1.1.1

=== debian/changelog ===
circuits (1.1.1) unstable; urgency=low

  * Added debian packaging.

 -- André Dieb Martins <dieb@embedded.ufcg.edu.br>  Fri, 05 Jun 2009 11:18:00 -0300 

=== debian/control ===
Source: circuits
Section: user/network
Priority: optional
Maintainer: André Dieb Martins <dieb@embedded.ufcg.edu.br>
Build-Depends: debhelper (>= 5.0.38), python2.5-dev | python-dev, python2.5-setuptools | python-setuptools
Standards-Version: 3.6.1

Package: python-circuits
Section: user/development
Architecture: all
Depends: python2.5-circuits | python2.6-circuits
Provides: ${python:Provides}
Description: event driven framework with strong component architecture. Also includes a lightweight web framework, various I/O and networking components useful for networking applications.

Package: python2.5-circuits
Section: user/development
Architecture: all
Depends: python2.5
Provides: ${python:Provides}
Description: event driven framework with strong component architecture. Also includes a lightweight web framework, various I/O and networking components useful for networking applications.

=== debian/rules ===
#!/usr/bin/make -f

PYVER=2.5
PYTHON=python$(PYVER)

p_base=$(PYTHON)-circuits
d_base=debian/tmp
package=circuits

build: build-stamp

build-stamp:
	dh_testdir
	$(PYTHON) setup.py build
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	$(PYTHON) setup.py clean
	-rm -f build-stamp
	-rm -rf build
	-rm -f *.py[co]
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k

	$(PYTHON) setup.py install --root=$(d_base)

	mkdir -p debian/$(p_base)/usr/lib/$(PYTHON)/site-packages
	mv debian/tmp/usr/lib/$(PYTHON)/site-packages/$(package) debian/$(p_base)/usr/lib/$(PYTHON)/site-packages/

binary-indep: build install

binary-arch: build install
	dh_testdir
	dh_testroot
	dh_fixperms
	dh_python
	dh_installdeb
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch

.PHONY: build install clean binary binary-indep binary-arch

## circuits 1.6

=== docs/build/html/_sources/start/requirements.txt ===
.. _Python Standard Library: http://docs.python.org/library/

Requirements and Dependencies
=============================

circuits has no **required** dependencies beyond the `Python Standard Library`_.
(*with the exception of Python 2.5 installations*).

Python 2.5
----------

- `processing <http://pypi.python.org/pypi/processing/>`_
  -- For multi-processing support.

- `simplejson <http://pypi.python.org/pypi/simplejson/>`_
  -- For JSON support in circuits.web dispatchers and controllers.

Other Optional Dependencies
---------------------------

These dependencies are not strictly required and only add additional
features such as the option for a routes dispatcher for circuits.web
and rendering of component graphs for your application.

- `Routes <http://pypi.python.org/pypi/Routes/>`_
  -- For routes based dispatching in circuits.web

- `pydot <http://pypi.python.org/pypi/pydot/>`_
  -- For rendering component graphs of an application.

=== debian/changelog ===
circuits (1.6-1ubuntu1) quantal; urgency=low

  * d/p/05_disable_issuetracker.patch: Disable issuetracker integration
    for sphinx document generation as it breaks in offline build environments.

 -- James Page <james.page@ubuntu.com>  Tue, 14 Aug 2012 13:16:19 +0100

circuits (1.6-1) unstable; urgency=low

  * New upstream release
    - Added Python 3 support
  * Builded Python3 package
    - CLI tools for Python3 are named circuits.bench3, circuits.sniff3 and
      circuits.web3
  * Added python-circuits-doc package and moved documentation and examples
    inside it
  * debian/control
    - Removed Sandro Tosi and added myself as uploader (Closes: #634186)
      Thanks to Sandro Tosi for his past work!
    - Updated Homepage field
    - Switched to dh_python2
    - Bumped Standards-Version to 3.9.3 (no changes needed)
    - Moved Build-Depends-Indep packages into Build-Depends
    - Removed python-epydoc from Build-Depends since upstream is using
      python-sphinx
    - Added python-sphinx to Build-Depends to build documentation
    - Removed python-pygame from Build-Depends
    - Added libjs-jquery to python-circuits-doc Depends
    - Added python-pytest and python3-pytest to Build-Depends to run tests
      at build time
    - Switched from XS-Python-Version to X-Python-Version and added
      X-Python3-Version
    - Bumped X-Python-Version to 2.6
    - Added python-pkg-resources to python-circuits' Depends and
      python3-pkg-resources to python3-circuits' Depends
    - Moved python-pyinotify from Suggests to Depends
    - Added python-serial, python-routes, python-imaging, python-greenlet
      to python-circuits' Recommends and python3-serial to python3-circuits'
      Recommends
    - Removed python-pygame, python-gtk2 from Suggests since they are not
      used anymore in python-circuits
  * debian/copyright
    - Made DEP5 compliant
  * debian/patches/01_use_issuetraker_instead_of_bitbucket.patch
    - Use python-sphinxcontrib.issuetracker instead of sphinxcontrib-bitbucket
      because the latter is not packaged for Debian and it does't add more
      features
  * debian/patches/02_remove_templatebuiltins_js.patch
    - Remove templatebuiltins.js because it contains names of Django builtin
      tags and filters not used in circuits documentation
  * debian/patches/03_force-localhost-as-host-name.patch
    - Force localhost as hostname
  * debian/patches/04_fix-python3-sintax-error.patch
    - Fix sintax errors since print and exec are not keywords in Python3
  * debian/python-circuits-doc.doc-base
    - Renamed from python-circuits.doc-base
  * debian/python-circuits-doc.links
    - Added a link to system wide libjs-jquery to not ship an embedded copy
      of the library
  * debian/{python-circuits.manpages,python3-circuits.manpages}
    - Added man pages for circuits.bench{3,}, circuits.sniff{3,} and
      circuits.web{3,}
  * debian/README.source
    - Removed because it contains only generic information about quilt
  * debian/rules
    - Switched to dh sequencer
    - Run tests at build time for the default Python version (Closes: #634153).
      Thanks Jakub Wilk for the report.
    - Clean properly to build twice in a row (Closes: #671077).
      Thanks Jakub Wilk for the report.
  * debian/source/format
    - Switched to dpkg-source 3.0 (quilt) format
  * debian/watch
    - Updated to new upstream download location (PyPI)

 -- Daniele Tricoli <eriol@mornie.org>  Wed, 13 Jun 2012 10:24:02 +0200

circuits (1.2.1-1) unstable; urgency=low

  * New upstream release
  * debian/patches/01_import_with_statement
    - dropped, no more needed
  * debian/{control, rules}
    - drop quilt, no more needed
  * debian/copyright
    - extended upstream copyright years
  * debian/rules
    - create 'docs' dir: it's not present in the upstream tarball and epydoc
      fails if it's not there
    - removed installation of upstream changelog, no more available
  * debian/{control, rules}
    - removed graph generation call, they're not available anymore
    - removed snakefood and graphvix b-d, no more needed
  * debian/control
    - bump Standards-Version to 3.8.4 (no changes needed)

 -- Sandro Tosi <morph@debian.org>  Thu, 04 Feb 2010 00:49:24 +0100

circuits (1.2-1) unstable; urgency=low

  * New upstream release
  * debian/control
    - updated Homepage field
    - added python-gtk2 to Suggests, needed for new GTK driver
  * debian/watch
    - updated to new upstream homepage location
  * debian/copyright
    - updated upstram project location
    - extended packaging copyright years
  * debian/rules
    - new docs location
  * debian/patches/01_import_with_statement
    - added patch to import the with statement explicitly (it's needed because
      Python 2.5 has if only from __future__)
  * debian/{control, rules, README.source}
    - added quilt patch management

 -- Sandro Tosi <morph@debian.org>  Tue, 19 Jan 2010 01:20:35 +0100

circuits (1.1.1-3) unstable; urgency=low

  [ Sandro Tosi ]
  * debian/python-circuits.doc-base
    - added doc-base
  * debian/control
    - bump Standards-Version to 3.8.3 (no changes needed)

  [ Luca Falavigna ]
  * debian/control:
    - Optionally recommend python (>= 2.6) with python-multiprocessing,
      multiprocessing module is part of Python 2.6.

 -- Sandro Tosi <morph@debian.org>  Tue, 10 Nov 2009 23:17:24 +0100

circuits (1.1.1-2) unstable; urgency=low

  [ Luca Falavigna ]
  * debian/{control, rules}
    - prepare for the upcoming Python 2.6 transition; thanks to Andrea Gasparini
      for the report; Closes: #531085
      + added versioned depend on python (>= 2.5.3-1~exp1)
      + used --install-layout=deb to setup.py install call to let files be
        installed under /usr instead of /usr/local

  [ Sandro Tosi ]
  * debian/control
    - bump Standards-Version to 3.8.2 (no changes needed)
  * debian/rules
    - fixed a leftover from the package we take the original file from
  * debian/copyright


=== debian/control ===
Source: circuits
Section: python
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Daniele Tricoli <eriol@mornie.org>
Build-Depends:
 debhelper (>= 7.4.2),
 python-all (>= 2.6.6-3~),
 python-coverage,
 python-greenlet,
 python-pyinotify,
 python-pytest,
 python-setuptools,
 python-sphinx (>= 1.0.7+dfsg),
 python-sphinxcontrib.issuetracker,
 python3-all (>= 3.1.2-7~),
 python3-pytest,
 python3-setuptools,
Standards-Version: 3.9.3
Homepage: http://bitbucket.org/prologic/circuits/
X-Python-Version: >= 2.6
X-Python3-Version: >= 3.0
Vcs-Svn: svn://svn.debian.org/svn/python-modules/packages/circuits/trunk/
Vcs-Browser: http://svn.debian.org/viewsvn/python-modules/packages/circuits/trunk/

Package: python-circuits
Architecture: all
Depends:
 ${misc:Depends},
 ${python:Depends},
 python-pkg-resources,
 python-pyinotify,
Recommends:
 python-greenlet,
 python-imaging,
 python-multiprocessing | python (>= 2.6),
 python-routes,
 python-serial
Description: event-driven framework with a component architecture
 circuits is an event-driven framework with a focus on Component
 Software Architectures where System Functionality is defined in
 Components. Components communicate with one another by propagating
 events throughout the system. Each Component can react to events and
 expose events to other parts of the system Components are able to
 manage their own events and can also be linked to other Components.
 .
 Circuits has a clean architecture and has no external dependencies on
 any other library. It's simplistic design is unmatchable but yet
 delivers a powerful framework for building large, scalable,
 maintainable applications and systems. Circuits was a core integral
 part of the pymills library developed in 2006 and was partly inspired
 by the Trac architecture.

Package: python3-circuits
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
 python3-pkg-resources,
Recommends: python3-serial
Description: event-driven framework with a component architecture (Python3 version)
 circuits is an event-driven framework with a focus on Component
 Software Architectures where System Functionality is defined in
 Components. Components communicate with one another by propagating
 events throughout the system. Each Component can react to events and
 expose events to other parts of the system Components are able to
 manage their own events and can also be linked to other Components.
 .
 Circuits has a clean architecture and has no external dependencies on
 any other library. It's simplistic design is unmatchable but yet
 delivers a powerful framework for building large, scalable,
 maintainable applications and systems. Circuits was a core integral
 part of the pymills library developed in 2006 and was partly inspired
 by the Trac architecture.
 .
 This package contains the Python 3 version of the library.

Package: python-circuits-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}, libjs-jquery
Description: event-driven framework with a component architecture (Documentation)
 circuits is an event-driven framework with a focus on Component
 Software Architectures where System Functionality is defined in
 Components. Components communicate with one another by propagating
 events throughout the system. Each Component can react to events and
 expose events to other parts of the system Components are able to
 manage their own events and can also be linked to other Components.
 .
 Circuits has a clean architecture and has no external dependencies on
 any other library. It's simplistic design is unmatchable but yet
 delivers a powerful framework for building large, scalable,
 maintainable applications and systems. Circuits was a core integral
 part of the pymills library developed in 2006 and was partly inspired
 by the Trac architecture.
 .
 This package contains documentation and examples.

=== debian/rules ===
#!/usr/bin/make -f

PY2VERS := $(shell pyversions -r)
PY3VERS := $(shell py3versions -r)

%:
	dh $(@) --with python2,python3,sphinxdoc -Spython_distutils

override_dh_auto_clean:
	rm -rf build
	rm -rf docs/build/html
	rm circuits.egg-info/PKG-INFO
	rm circuits.egg-info/SOURCES.txt
	find . -name *.pyc -delete
	find . -name *.coverage.* -delete

override_dh_auto_build:
	set -e -x; \
	for python in $(PY2VERS); do \
		$$python setup.py build -e /usr/bin/python; \
	done
	for python in $(PY3VERS); do \
		$$python setup.py build -e /usr/bin/python3; \
	done

	PYTHONPATH=. sphinx-build -N -bhtml docs/source docs/build/html

	cp debian/manpages/circuits.bench.1 debian/manpages/circuits.bench3.1
	cp debian/manpages/circuits.sniff.1 debian/manpages/circuits.sniff3.1
	cp debian/manpages/circuits.web.1 debian/manpages/circuits.web3.1
	sed -i 's/circuits.bench/circuits.bench3/g' debian/manpages/circuits.bench3.1
	sed -i 's/circuits.sniff/circuits.sniff3/g' debian/manpages/circuits.sniff3.1
	sed -i 's/circuits.web/circuits.web3/g' debian/manpages/circuits.web3.1

override_dh_auto_install:
	set -e -x; \
	for python2 in $(PY2VERS); do \
		$$python2 setup.py install --skip-build --root debian/python-circuits \
			--install-layout deb; \
	done

	set -e -x; \
	for python3 in $(PY3VERS); do \
		$$python3 setup.py install --skip-build --root debian/python3-circuits \
			--install-layout deb; \
	done

	# Remove tests to not pollute namespace.
	rm -rf debian/python*-circuits/usr/lib/python*/dist-packages/tests

	# Rename scripts for Python3
	mv debian/python3-circuits/usr/bin/circuits.bench \
	   debian/python3-circuits/usr/bin/circuits.bench3
	mv debian/python3-circuits/usr/bin/circuits.sniff \
	   debian/python3-circuits/usr/bin/circuits.sniff3
	mv debian/python3-circuits/usr/bin/circuits.web \
	   debian/python3-circuits/usr/bin/circuits.web3

	# --excutable option in build has no effect for circuits.web's entrypoint
	sed -i '1c#!/usr/bin/python' debian/python-circuits/usr/bin/circuits.web
	sed -i '1c#!/usr/bin/python3' debian/python3-circuits/usr/bin/circuits.web3

override_dh_auto_test:
ifeq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	# Upstream is calling directly py.test inside a Popen so, for now, tests
	# are run only for the default version
	set -e; python setup.py test;
endif

## circuits 2.0.1

=== debian/changelog ===
circuits (2.0.1-1) unstable; urgency=low

  * New upstream release
    - Provided patch to fix entry point path for circuits.web CLI tool was
      merged upstream. Thanks to Jakub Wilk for the report. (Closes: #684740)
  * debian/control
    - Bumped Standards-Version to 3.9.4 (no changes needed)
    - Fixed lintian vcs-field-not-canonical
    - Removed python-sphinxcontrib.issuetracker from Build-Depends since it's
      not used anymore
  * debian/patches/01_use_issuetraker_instead_of_bitbucket.patch
    - Superseded by 01_disable_sphinxcontrib-bitbucket.patch
      because sphinxcontrib.issuetraker requires a network
      connection which is not available on Debian buildds.
      Thanks to James Page for the report. (Closes: #684886)
  * debian/patches/01_disable_sphinxcontrib-bitbucket.patch
    - Disable sphinxcontrib-bitbucket because it is not
      packaged for Debian
  * debian/patches/03_force-localhost-as-host-name.patch
    - Updated to disable check for address if DEB_BUILD_OPTIONS contains
      "parallel" option. (Closes: #680799)
  * debian/rules
    - Used override_dh_installchangelogs to install upstream changelog
    - Clean circuits.egg-info/entry_points.txt to make the package
      build twice in a row

 -- Daniele Tricoli <eriol@mornie.org>  Sun, 17 Feb 2013 05:58:38 +0100

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: circuits
 Section: python
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
+Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
 Uploaders: Daniele Tricoli <eriol@mornie.org>
 Build-Depends:
  debhelper (>= 7.4.2),
@@ -13,16 +12,15 @@
  python-pytest,
  python-setuptools,
  python-sphinx (>= 1.0.7+dfsg),
- python-sphinxcontrib.issuetracker,
  python3-all (>= 3.1.2-7~),
  python3-pytest,
  python3-setuptools,
-Standards-Version: 3.9.3
+Standards-Version: 3.9.4
 Homepage: http://bitbucket.org/prologic/circuits/
 X-Python-Version: >= 2.6
 X-Python3-Version: >= 3.0
-Vcs-Svn: svn://svn.debian.org/svn/python-modules/packages/circuits/trunk/
-Vcs-Browser: http://svn.debian.org/viewsvn/python-modules/packages/circuits/trunk/
+Vcs-Svn: svn://anonscm.debian.org/python-modules/packages/circuits/trunk/
+Vcs-Browser: http://anonscm.debian.org/viewvc/python-modules/packages/circuits/trunk/
 
 Package: python-circuits
 Architecture: all

=== debian/rules ===
--- 
+++ 
@@ -11,6 +11,7 @@
 	rm -rf docs/build/html
 	rm circuits.egg-info/PKG-INFO
 	rm circuits.egg-info/SOURCES.txt
+	rm circuits.egg-info/entry_points.txt
 	find . -name *.pyc -delete
 	find . -name *.coverage.* -delete
 
@@ -26,10 +27,8 @@
 	PYTHONPATH=. sphinx-build -N -bhtml docs/source docs/build/html
 
 	cp debian/manpages/circuits.bench.1 debian/manpages/circuits.bench3.1
-	cp debian/manpages/circuits.sniff.1 debian/manpages/circuits.sniff3.1
 	cp debian/manpages/circuits.web.1 debian/manpages/circuits.web3.1
 	sed -i 's/circuits.bench/circuits.bench3/g' debian/manpages/circuits.bench3.1
-	sed -i 's/circuits.sniff/circuits.sniff3/g' debian/manpages/circuits.sniff3.1
 	sed -i 's/circuits.web/circuits.web3/g' debian/manpages/circuits.web3.1
 
 override_dh_auto_install:
@@ -51,8 +50,6 @@
 	# Rename scripts for Python3
 	mv debian/python3-circuits/usr/bin/circuits.bench \
 	   debian/python3-circuits/usr/bin/circuits.bench3
-	mv debian/python3-circuits/usr/bin/circuits.sniff \
-	   debian/python3-circuits/usr/bin/circuits.sniff3
 	mv debian/python3-circuits/usr/bin/circuits.web \
 	   debian/python3-circuits/usr/bin/circuits.web3
 
@@ -66,3 +63,6 @@
 	# are run only for the default version
 	set -e; python setup.py test;
 endif
+
+override_dh_installchangelogs:
+	dh_installchangelogs docs/source/changes.rst

## circuits 2.1.0

=== Makefile ===
.PHONY: help clean docs graph packages tests

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  clean     to cleanup build and temporary files"
	@echo "  docs      to build the documentation"
	@echo "  graph     to generate dependency graph"
	@echo "  packages  to build python source and egg packages"
	@echo "  tests     to run the test suite"

clean:
	@rm -rf build dist circuits.egg-info circuits/__version__.py
	@rm -rf .coverage coverage
	@rm -rf docs/build
	@find . -name '*.pyc' -delete
	@find . -name '*.pyo' -delete
	@find . -name '*~' -delete

docs:
	@make -C docs html

graph:
	@sfood circuits -i -I tests -d -u 2> /dev/null | sfood-graph | dot -Tps | ps2pdf - > circuits.pdf

release:
	@python2.6 setup.py clean bdist_egg upload
	@python2.7 setup.py clean bdist_egg upload
	@python3.2 setup.py clean bdist_egg upload
	@python3.3 setup.py clean bdist_egg upload
	@python setup.py clean build_sphinx upload_sphinx
	@python setup.py clean sdist --formats=bztar,gztar,zip upload

tests:
	@python -m tests.main

=== docs/source/requirements.txt ===
sphinxcontrib-bitbucket
sphinxcontrib-googleanalytics

=== docs/build/html/_sources/start/requirements.txt ===
.. _Python Standard Library: http://docs.python.org/library/


Requirements and Dependencies
=============================


- circuits has no **required** dependencies beyond the `Python Standard Library`_.
- Python: >= 2.6 or pypy >= 2.0

:Supported Platforms: Linux, FreeBSD, Mac OS X, Windows

:Supported Python Versions: 2.6, 2.7, 3.2, 3.3

:Supported pypy Versions: 2.0


Other Optional Dependencies
---------------------------

These dependencies are not strictly required and only add additional
features.

- `pydot <http://pypi.python.org/pypi/pydot/>`_
  -- For rendering component graphs of an application.
- `pyinotify <http://pypi.python.org/pypi/pyinotify>`_
  -- For asynchronous file system event notifications
  and the :mod:`circuits.io.notify` module.

=== debian/changelog ===
circuits (2.1.0-2) unstable; urgency=low

  * Upload to unstable
  * debian/compat
    - Bumped debhelper compatibility level to 9
  * debian/control
    - Bumped debhelper B-D to (>= 9)
    - Removed python-greenlet from B-D and Recommends since
      upstream doesn't use it anymore
    - Added python3-pyinotify to B-D and to python3-circuits' Depends
  * debian/rules
    - Simplified override_dh_auto_clean
  * debian/patches/03_force-localhost-as-host-name.patch
    - Renamed to 03_disable-address-check.patch
  * debian/patches/03_disable-03_disable-address-check.patch
    - Disable address check since these tests are conceived
      to run on the same machine (Closes: #713757)
  * debian/patches/05_fix-pil-import.patch
    - Fix PIL import

 -- Daniele Tricoli <eriol@mornie.org>  Wed, 10 Jul 2013 19:22:13 +0200

circuits (2.1.0-1) experimental; urgency=low

  * New upstream release
  * debian/control
    - Bumped python(3)-pytest version to >= 2.3
  * debian/copyright
    - Updated years and added stanza for the modified embedded copy
      of python-six
  * debian/manpages
    - Removed since accepted upstream
  * debian/patches/01_disable_sphinxcontrib-bitbucket.patch
    - Renamed into 01_disable_sphinxcontrib_extensions.patch
  * debian/patches/01_disable_sphinxcontrib_extensions.patch
    - Disable sphinxcontrib-googleanalytics as well as sphinxcontrib-bitbucket
      because it's not packaged for Debian and it is used to track generated
      html files with Google Analytics web service
  * debian/patches/03_force-localhost-as-host-name.patch
    - Refreshed
  * debian/rules
    - Updated upstream changelog filename

 -- Daniele Tricoli <eriol@mornie.org>  Wed, 03 Apr 2013 00:29:54 +0200

=== debian/control ===
--- 
+++ 
@@ -4,16 +4,16 @@
 Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
 Uploaders: Daniele Tricoli <eriol@mornie.org>
 Build-Depends:
- debhelper (>= 7.4.2),
+ debhelper (>= 9),
  python-all (>= 2.6.6-3~),
  python-coverage,
- python-greenlet,
  python-pyinotify,
- python-pytest,
+ python-pytest (>= 2.3),
  python-setuptools,
  python-sphinx (>= 1.0.7+dfsg),
  python3-all (>= 3.1.2-7~),
- python3-pytest,
+ python3-pyinotify,
+ python3-pytest (>= 2.3),
  python3-setuptools,
 Standards-Version: 3.9.4
 Homepage: http://bitbucket.org/prologic/circuits/
@@ -29,8 +29,8 @@
  ${python:Depends},
  python-pkg-resources,
  python-pyinotify,
+ python-six,
 Recommends:
- python-greenlet,
  python-imaging,
  python-multiprocessing | python (>= 2.6),
  python-routes,
@@ -56,6 +56,8 @@
  ${misc:Depends},
  ${python3:Depends},
  python3-pkg-resources,
+ python3-pyinotify,
+ python3-six,
 Recommends: python3-serial
 Description: event-driven framework with a component architecture (Python3 version)
  circuits is an event-driven framework with a focus on Component

=== debian/rules ===
--- 
+++ 
@@ -9,11 +9,10 @@
 override_dh_auto_clean:
 	rm -rf build
 	rm -rf docs/build/html
-	rm circuits.egg-info/PKG-INFO
-	rm circuits.egg-info/SOURCES.txt
-	rm circuits.egg-info/entry_points.txt
-	find . -name *.pyc -delete
+	rm -rf *.egg-info
 	find . -name *.coverage.* -delete
+	rm -f man/circuits.*3.1
+	dh_auto_clean
 
 override_dh_auto_build:
 	set -e -x; \
@@ -26,10 +25,11 @@
 
 	PYTHONPATH=. sphinx-build -N -bhtml docs/source docs/build/html
 
-	cp debian/manpages/circuits.bench.1 debian/manpages/circuits.bench3.1
-	cp debian/manpages/circuits.web.1 debian/manpages/circuits.web3.1
-	sed -i 's/circuits.bench/circuits.bench3/g' debian/manpages/circuits.bench3.1
-	sed -i 's/circuits.web/circuits.web3/g' debian/manpages/circuits.web3.1
+	# Copy manpages for Python3 scripts
+	cp man/circuits.bench.1 man/circuits.bench3.1
+	cp man/circuits.web.1 man/circuits.web3.1
+	sed -i 's/circuits.bench/circuits.bench3/g' man/circuits.bench3.1
+	sed -i 's/circuits.web/circuits.web3/g' man/circuits.web3.1
 
 override_dh_auto_install:
 	set -e -x; \
@@ -65,4 +65,4 @@
 endif
 
 override_dh_installchangelogs:
-	dh_installchangelogs docs/source/changes.rst
+	dh_installchangelogs CHANGES.rst

=== debian/watch ===
version=3
http://pypi.python.org/packages/source/c/circuits/circuits-(.*)\.tar\.gz

## circuits 3.1.0%2Bds1

=== docs/requirements.txt ===
Sphinx
#releases
-e git+https://github.com/bitprophet/releases.git#egg=releases
Sphinx-PyPI-upload
sphinxcontrib-programoutput
sphinxcontrib-googleanalytics

=== debian/control ===
Source: circuits
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Daniele Tricoli <eriol@debian.org>
Build-Depends:
 debhelper-compat (= 13),
 dh-python,
 python3-sphinx (>= 1.0.7+dfsg),
 python3-all (>= 3.1.2-7~),
 python3-setuptools,
Standards-Version: 4.6.0.1
Homepage: http://circuitsframework.com
Vcs-Git: https://salsa.debian.org/python-team/packages/circuits.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/circuits
Testsuite: autopkgtest-pkg-python

Package: python3-circuits
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
 python3-pkg-resources,
Suggests: python3-serial
Description: event-driven framework with a component architecture (Python3 version)
 circuits is an event-driven framework with a focus on Component
 Software Architectures where System Functionality is defined in
 Components. Components communicate with one another by propagating
 events throughout the system. Each Component can react to events and
 expose events to other parts of the system Components are able to
 manage their own events and can also be linked to other Components.
 .
 Circuits has a clean architecture and has no external dependencies on
 any other library. It's simplistic design is unmatchable but yet
 delivers a powerful framework for building large, scalable,
 maintainable applications and systems. Circuits was a core integral
 part of the pymills library developed in 2006 and was partly inspired
 by the Trac architecture.
 .
 This package contains the Python 3 version of the library.

Package: python-circuits-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}, ${sphinxdoc:Depends}, libjs-jquery
Multi-Arch: foreign
Description: event-driven framework with a component architecture (Documentation)
 circuits is an event-driven framework with a focus on Component
 Software Architectures where System Functionality is defined in
 Components. Components communicate with one another by propagating
 events throughout the system. Each Component can react to events and
 expose events to other parts of the system Components are able to
 manage their own events and can also be linked to other Components.
 .
 Circuits has a clean architecture and has no external dependencies on
 any other library. It's simplistic design is unmatchable but yet
 delivers a powerful framework for building large, scalable,
 maintainable applications and systems. Circuits was a core integral
 part of the pymills library developed in 2006 and was partly inspired
 by the Trac architecture.
 .
 This package contains documentation and examples.

## circuits 3.1.0+ds1

=== Makefile ===
--- 
+++ 
@@ -9,12 +9,14 @@
 	@echo "  tests     to run the test suite"
 
 clean:
-	@rm -rf build dist circuits.egg-info circuits/__version__.py
+	@rm -rf build dist circuits.egg-info
 	@rm -rf .coverage coverage
 	@rm -rf docs/build
+	@find . -name '__pycache__' -exec rm -rf {} +
 	@find . -name '*.pyc' -delete
 	@find . -name '*.pyo' -delete
 	@find . -name '*~' -delete
+	@rm -f *.xml
 
 docs:
 	@make -C docs html

=== debian/changelog ===
circuits (3.1.0+ds1-2) unstable; urgency=medium

  * Team upload.
  * Fixed VCS URL (https)
  * d/control: Set Vcs-* to salsa.debian.org
  * d/copyright: Use https protocol in Format field
  * d/watch: Use https protocol
  * d/control: Remove ancient X-Python-Version field
  * d/control: Remove ancient X-Python3-Version field
  * Convert git repository from git-dpm to gbp layout
  * Use debhelper-compat instead of debian/compat.
  * Use Python 3 for building docs.
  * Drop Python 2 support.
  * Bump debhelper compat level to 12.
  * Enable autopkgtest-pkg-python testsuite.

 -- Ondřej Nový <onovy@debian.org>  Mon, 05 Aug 2019 10:38:58 +0200

circuits (3.1.0+ds1-1) unstable; urgency=medium

  [ Daniele Tricoli ]
  * New upstream release.
  * Switch to pybuild.
    - Build-Depends on dh-python.
    - Simplify debian/rules.
  * Ship manpages inside debian/manpages since they are no more included in
    sdist.
  * Disable running tests at build time since they are also failing upstream.
    (Closes: #792062)
    - Use export PYBUILD_DISABLE=test in debian/rules.
    - Remove python-coverage and python{,3}-pytest from Build-Depends.
  * debian/control
    - Remove python{,3}-pyinotify from Build-Depends and Depends.
    - Remove python-imaging, python-multiprocessing and python-routes from
      Recommends.
    - Remove python{,3}-six from Depends since the embedded copy is modified
      by upstream.
    - Move python{,3}-serial from Recommends to Suggests.
    - Bump Standards-Version to 3.9.6 (no changes needed).
    - Update Homepage field.
  * debian/copyright
    - Update copyright year.
    - Add new stanzas.
  * debian/watch
    - Use pypi.debian.net redirector.
  * debian/patches/01_disable_sphinxcontrib_extensions.patch
    - Refresh.
  * debian/patches/02_remove_templatebuiltins_js.patch
    - Refresh.
  * debian/patches/04_fix-python3-sintax-error.patch
    - Remove since it is not needed anymore.
  * debian/patches/05_fix-pil-import.patch
    - Remove since it is not needed anymore.
  * debian/patches/04_remove-google-adsense.patch
    - Remove Google AdSense tracking code.
  * debian/patches/05_remove-privacy-breach-badges.patch
    - Remove badges fetched from external websites.
  * debian/rules
    - Remove fabric scripts to not pollute namespace.
    - Remove Python implementation of htpasswd.

  [ Piotr Ożarowski ]
  * Remove HTML docs from upstream tarball (via Files-Excluded in
    debian/copyright)

 -- Daniele Tricoli <eriol@mornie.org>  Sun, 19 Jul 2015 20:21:25 +0200

=== debian/control ===
--- 
+++ 
@@ -1,18 +1,18 @@
 Source: circuits
 Section: python
 Priority: optional
-Maintainer: Debian Python Team <team+python@tracker.debian.org>
-Uploaders: Daniele Tricoli <eriol@debian.org>
+Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
+Uploaders: Daniele Tricoli <eriol@mornie.org>
 Build-Depends:
- debhelper-compat (= 13),
+ debhelper-compat (= 12),
  dh-python,
  python3-sphinx (>= 1.0.7+dfsg),
  python3-all (>= 3.1.2-7~),
  python3-setuptools,
-Standards-Version: 4.6.0.1
+Standards-Version: 3.9.6
 Homepage: http://circuitsframework.com
-Vcs-Git: https://salsa.debian.org/python-team/packages/circuits.git
-Vcs-Browser: https://salsa.debian.org/python-team/packages/circuits
+Vcs-Git: https://salsa.debian.org/python-team/modules/circuits.git
+Vcs-Browser: https://salsa.debian.org/python-team/modules/circuits
 Testsuite: autopkgtest-pkg-python
 
 Package: python3-circuits
@@ -42,8 +42,7 @@
 Package: python-circuits-doc
 Section: doc
 Architecture: all
-Depends: ${misc:Depends}, ${sphinxdoc:Depends}, libjs-jquery
-Multi-Arch: foreign
+Depends: ${misc:Depends}, libjs-jquery
 Description: event-driven framework with a component architecture (Documentation)
  circuits is an event-driven framework with a focus on Component
  Software Architectures where System Functionality is defined in

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=circuits
export PYBUILD_DISABLE=test

%:
	dh $(@) --with python3,sphinxdoc --buildsystem=pybuild

override_dh_auto_clean:
	rm -rf build
	rm -rf docs/build/html
	rm -rf *.egg-info
	find . -name *.coverage.* -delete
	rm -f debian/manpages/circuits.*3.1
	dh_auto_clean

override_dh_auto_build:
	dh_auto_build
	PYTHONPATH=. python3 -m sphinx -N -bhtml docs/source docs/build/html
	# Copy manpages for Python3 scripts.
	cp debian/manpages/circuits.bench.1 debian/manpages/circuits.bench3.1
	cp debian/manpages/circuits.web.1 debian/manpages/circuits.web3.1
	sed -i 's/circuits.bench/circuits.bench3/g' debian/manpages/circuits.bench3.1
	sed -i 's/circuits.web/circuits.web3/g' debian/manpages/circuits.web3.1

override_dh_auto_install:
	dh_auto_install
	# Remove tests to not pollute namespace.
	rm -rf debian/python*-circuits/usr/lib/python*/dist-packages/tests
	# Remove fabric scripts to not pollute namespace.
	rm -rf debian/python*-circuits/usr/lib/python*/dist-packages/fabfile
	# Remove Python implementation of htpasswd.
	rm -rf debian/python*-circuits/usr/bin/htpasswd
	# Rename scripts for Python3.
	mv debian/python3-circuits/usr/bin/circuits.bench \
	   debian/python3-circuits/usr/bin/circuits.bench3
	mv debian/python3-circuits/usr/bin/circuits.web \
	   debian/python3-circuits/usr/bin/circuits.web3
	# --excutable option in build has no effect for circuits.web's entrypoint
	sed -i '1c#!/usr/bin/python3' debian/python3-circuits/usr/bin/circuits.web3

override_dh_installchangelogs:
	dh_installchangelogs CHANGES.rst

=== debian/watch ===
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/,dversionmangle=s/\+ds\d*$//,repacksuffix=+ds1 \
https://pypi.debian.net/circuits/circuits-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## circuits 3.2.2

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) source

.PHONY: help clean html dirhtml pickle json htmlhelp qthelp latex changes linkcheck doctest

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html      to make standalone HTML files"
	@echo "  dirhtml   to make HTML files named index.html in directories"
	@echo "  pickle    to make pickle files"
	@echo "  json      to make JSON files"
	@echo "  htmlhelp  to make HTML files and a HTML help project"
	@echo "  qthelp    to make HTML files and a qthelp project"
	@echo "  latex     to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  changes   to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck to check all external links for integrity"
	@echo "  doctest   to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/circuits.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/circuits.qhc"

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make all-pdf' or \`make all-ps' in that directory to" \
	      "run these through (pdf)latex."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

=== docs/requirements.txt ===
Sphinx
releases

=== examples/web/wiki/requirements.txt ===
circuits
pygments
creoleparser

=== debian/changelog ===
circuits (3.2.2-2) unstable; urgency=medium

  * Team upload.

  [ Yogeswaran Umasankar ]

  * Included a patch for /circuits/core/utils.py to replace
    deprecated imp with importlib to fix autopkgtest in
    Py3.12 (Closes: #1059657).
  * Removed vcs-control-file from python-circuits-doc.

  [ Emmanuel Arias ]
  * d/control: Bump Standards-Version to 4.6.2 (from 4.6.1.0; no further
    changes needed).
  * d/salsa-ci.yml: Enable salsa-ci.

 -- Yogeswaran Umasankar <kd8mbd@gmail.com>  Sat, 06 Jan 2024 16:00:00 +0000

circuits (3.2.2-1) unstable; urgency=medium

  * New upstream version 3.2.2 (Closes: #1024860)
  * Watch the upstream github instead of the PyPI tarball.
  * Refresh patches.
  * debian/control
    - Add python3-setuptools-scm to Build-Depends.
    - Update Homepage field.
    - Bump Standards-Version to 4.6.1.0, no changes needed.
  * debian/copyright
    - Don't esclude built docs since they are not included anymore
    - Update copyright years.
    - Use my debian.org address.

 -- Daniele Tricoli <eriol@debian.org>  Wed, 14 Dec 2022 17:15:09 +0100

circuits (3.1.0+ds1-4) unstable; urgency=medium

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster:
    + Build-Depends: Drop versioned constraint on python3-all and
      python3-sphinx.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Tue, 06 Dec 2022 18:57:59 +0000

circuits (3.1.0+ds1-3) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Debian Janitor ]
  * Apply multi-arch hints.
    + python-circuits-doc: Add Multi-Arch: foreign.
  * Bump debhelper from old 12 to 13.

  [ Daniele Tricoli ]
  * Add patch for compatibility with python 3.10. Many thanks to Steve
    Langasek. (Closes: #1001244)
  * debian/control
    - Use my Debian email address.
    - Bump Standards-Version to 4.6.0.1 (no changes needed).

 -- Daniele Tricoli <eriol@debian.org>  Sun, 12 Dec 2021 23:31:20 +0100

=== debian/control ===
--- 
+++ 
@@ -1,18 +1,19 @@
 Source: circuits
 Section: python
 Priority: optional
-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
-Uploaders: Daniele Tricoli <eriol@mornie.org>
+Maintainer: Debian Python Team <team+python@tracker.debian.org>
+Uploaders: Daniele Tricoli <eriol@debian.org>
 Build-Depends:
- debhelper-compat (= 12),
+ debhelper-compat (= 13),
  dh-python,
- python3-sphinx (>= 1.0.7+dfsg),
- python3-all (>= 3.1.2-7~),
+ python3-sphinx,
+ python3-all,
  python3-setuptools,
-Standards-Version: 3.9.6
-Homepage: http://circuitsframework.com
-Vcs-Git: https://salsa.debian.org/python-team/modules/circuits.git
-Vcs-Browser: https://salsa.debian.org/python-team/modules/circuits
+ python3-setuptools-scm
+Standards-Version: 4.6.2
+Homepage: https://github.com/circuits/circuits
+Vcs-Git: https://salsa.debian.org/python-team/packages/circuits.git
+Vcs-Browser: https://salsa.debian.org/python-team/packages/circuits
 Testsuite: autopkgtest-pkg-python
 
 Package: python3-circuits
@@ -42,7 +43,8 @@
 Package: python-circuits-doc
 Section: doc
 Architecture: all
-Depends: ${misc:Depends}, libjs-jquery
+Depends: ${misc:Depends}, ${sphinxdoc:Depends}, libjs-jquery
+Multi-Arch: foreign
 Description: event-driven framework with a component architecture (Documentation)
  circuits is an event-driven framework with a focus on Component
  Software Architectures where System Functionality is defined in

=== debian/rules ===
--- 
+++ 
@@ -7,12 +7,13 @@
 	dh $(@) --with python3,sphinxdoc --buildsystem=pybuild
 
 override_dh_auto_clean:
+	dh_auto_clean
+	rm -f circuits/version.py
 	rm -rf build
 	rm -rf docs/build/html
 	rm -rf *.egg-info
 	find . -name *.coverage.* -delete
 	rm -f debian/manpages/circuits.*3.1
-	dh_auto_clean
 
 override_dh_auto_build:
 	dh_auto_build
@@ -41,3 +42,8 @@
 
 override_dh_installchangelogs:
 	dh_installchangelogs CHANGES.rst
+
+override_dh_installdocs:
+	dh_installdocs
+	# Removed vcs-control-file from python-circuits-doc.
+	find debian/python-circuits-doc -type f -name .gitignore -delete

## circuits 3.2.3

=== docs/requirements.txt ===
Sphinx
releases
pyinotify

=== debian/changelog ===
circuits (3.2.3-2) unstable; urgency=medium

  * Team upload.
  * Use dh-sequence-python3
  * Add dependency on python3-legacy-cgi (part of #1084693)
  * Set Rules-Requires-Root: no

 -- Alexandre Detiste <tchet@debian.org>  Sat, 16 Nov 2024 14:53:24 +0100

circuits (3.2.3-1) unstable; urgency=medium

  * Team upload.
  * Updated to new upstream version 3.2.3.
  * d/control: Bumped Standards-Version to 4.7.0 + added
    python3-pyinotify to Build-Depends.
  * Updated 01_disable_sphinxcontrib_extensions.patch,
    03_disable-address-check.patch and
    05_remove-privacy-breach-badges.patch to fit the new
    upstream version.
  * Removed 06_replace-imp-with-importlib.patch, issue fixed by
    new upstream version.
  * d/copyright: Removed circuits/six.py.

 -- Yogeswaran Umasankar <kd8mbd@gmail.com>  Fri, 19 Apr 2024 22:30:00 +0000

=== debian/control ===
--- 
+++ 
@@ -5,12 +5,15 @@
 Uploaders: Daniele Tricoli <eriol@debian.org>
 Build-Depends:
  debhelper-compat (= 13),
- dh-python,
+ dh-sequence-python3,
  python3-sphinx,
  python3-all,
+ python3-legacy-cgi,
  python3-setuptools,
- python3-setuptools-scm
-Standards-Version: 4.6.2
+ python3-setuptools-scm,
+ python3-pyinotify
+Rules-Requires-Root: no
+Standards-Version: 4.7.0
 Homepage: https://github.com/circuits/circuits
 Vcs-Git: https://salsa.debian.org/python-team/packages/circuits.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/circuits
@@ -21,6 +24,7 @@
 Depends:
  ${misc:Depends},
  ${python3:Depends},
+ python3-legacy-cgi,
  python3-pkg-resources,
 Suggests: python3-serial
 Description: event-driven framework with a component architecture (Python3 version)

=== debian/rules ===
--- 
+++ 
@@ -4,7 +4,7 @@
 export PYBUILD_DISABLE=test
 
 %:
-	dh $(@) --with python3,sphinxdoc --buildsystem=pybuild
+	dh $(@) --with sphinxdoc --buildsystem=pybuild
 
 override_dh_auto_clean:
 	dh_auto_clean

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/circuits-$1\.tar\.gz/ \
  https://github.com/circuits/circuits/tags .*/v?(\d\S+)\.tar\.gz
